Skip to main content
POST
Get Compiled Prompt

SDK usage

url and api_key (or apiKey) default to the OPENLIT_URL and OPENLIT_API_KEY environment variables if you don’t pass them explicitly.
Output
url, api_key, name, prompt_id, version, should_compile, variables, and meta_properties are all available parameters, matching the request body above.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

text/plain
name
string
Example:

"tester"

promptId
string<uuid>
Example:

"a7a55e48-1588-44ee-99e2-d9de5c026238"

version
string
Example:

"1.0.0"

metaProperties
object
compile
boolean
Example:

true

variables
object

Response

200 - application/json

Successfully retrieved compiled prompt.

err
object | null
res
object